> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Update custom field value

PUT https://api.letsdeel.com/rest/people/{worker_id}/custom_fields
Content-Type: application/json

Creates or updates a custom field value for a worker; if a value for the specified field already exists it is overwritten.

 **Token scopes**: `people:write`

Reference: https://developer.deel.com/api/reference/endpoints/custom-fields-people/put-person-custom-field

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `worker_id` (string, required) — Worker id.

### Body (application/json)

This endpoint expects an object.

- `data` (PeopleWorkerIdCustomFieldsPutRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 200

Successful response

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Not found

- `any`

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### PeopleWorkerIdCustomFieldsPutRequestBodyContentApplicationJsonSchemaData

- `id` (string, required) — UUID for the custom field value
- `data` (PeopleWorkerIdCustomFieldsPutRequestBodyContentApplicationJsonSchemaDataData, required)

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### PeopleWorkerIdCustomFieldsPutRequestBodyContentApplicationJsonSchemaDataData

### PeopleWorkerIdCustomFieldsPutRequestBodyContentApplicationJsonSchemaDataData0

Text type

- `value` (string, optional) — Text type

### PeopleWorkerIdCustomFieldsPutRequestBodyContentApplicationJsonSchemaDataData1

Number type

- `value` (double, optional) — Number type

### PeopleWorkerIdCustomFieldsPutRequestBodyContentApplicationJsonSchemaDataData2

Date type: YYYY-MM-DD

- `value` (string, optional) — Date type: YYYY-MM-DD

### PeopleWorkerIdCustomFieldsPutRequestBodyContentApplicationJsonSchemaDataData3

Percentage type

- `value` (double, optional) — Percentage type

### PeopleWorkerIdCustomFieldsPutRequestBodyContentApplicationJsonSchemaDataData4

Currency type

- `amount` (double, optional)
- `currency` (string, optional) — Important: When currency type is fixed, the currency field is ignored.

### PeopleWorkerIdCustomFieldsPutRequestBodyContentApplicationJsonSchemaDataData5

List type

- `option` (string, optional) — Option type

### PeopleWorkerIdCustomFieldsPutRequestBodyContentApplicationJsonSchemaDataData6

Multiselect type

- `options` (list of string, optional)

## Examples

**Request**

```json
{
  "data": {
    "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "data": {}
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/custom_fields"

payload = { "data": {
        "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
        "data": {}
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/custom_fields';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"id":"d290f1ee-6c54-4b01-90e6-d701748f0851","data":{}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/custom_fields"

	payload := strings.NewReader("{\n  \"data\": {\n    \"id\": \"d290f1ee-6c54-4b01-90e6-d701748f0851\",\n    \"data\": {}\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/custom_fields")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"id\": \"d290f1ee-6c54-4b01-90e6-d701748f0851\",\n    \"data\": {}\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/custom_fields")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"id\": \"d290f1ee-6c54-4b01-90e6-d701748f0851\",\n    \"data\": {}\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/custom_fields', [
  'body' => '{
  "data": {
    "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "data": {}
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/custom_fields");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"id\": \"d290f1ee-6c54-4b01-90e6-d701748f0851\",\n    \"data\": {}\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "data": []
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/people/d290f1ee-6c54-4b01-90e6-d701748f0851/custom_fields")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```